scala.collection.jcl.Set
class Filter

[source: `scala/collection/jcl/Set.scala`]

`` `class` Filter(pp : (A) => Boolean)
  `extends` Filter `with` Projection[A]

Direct Known Subclasses:
  SortedSet.Filter

Method Summary
`override def` | add (a : A) : Boolean Add will return false if "a" already exists in the set.
`override def` | p (a : A) : Boolean
`override def` | retain (p0 : (A) => Boolean) : Unit Method `retain removes all elements from the set for which the predicate `p` yields the value `false`.`

Methods inherited from Projection
filter, projection

Methods inherited from Set
contains, ++, --, +, -, isEmpty, clear, subsetOf, transform

Methods inherited from Set
update, +=, ++=, ++=, +, ++, incl, -=, --=, --=, -, --, excl, intersect, <<, clone, readOnly

Methods inherited from Set
apply, equals, hashCode, toArray

Methods inherited from Function1
toString, compose, andThen

Methods inherited from Collection
hasAll, addAll, -=, +=

Methods inherited from Filter
has, remove, elements, size

Methods inherited from Projection
map

Methods inherited from Projection
force, flatMap, takeWhile, append

Methods inherited from MutableIterable
removeAll, retainAll, size0

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
concat, ++, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` p(a : A) : Boolean

Overrides
  Filter.p

`override` `def` retain(p0 : (A) => Boolean) : Unit

  Method `retain removes all elements from the set for which the predicate `p` yields the value `false`.`

`override` `def` add(a : A) : Boolean

  Add will return false if "a" already exists in the set.